<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686) [Netscape]">
</head>
<body>

<center>
<h1>
<font color="#000000">Check List for Beowulf</font></h1></center>

<ul>
<li>
<font color="#000000">Log as 'ldas' user to beowulf and make sure that
you can do:</font></li>

<ul>
<li>
<font color="#000000">Make sure ssh1 logs a search in without prompting
for a password</font></li>

<br><font color="#000000">ssh1 searchX@beowulf( where X is in [01;32] range
);</font>
<br><font color="#000000">exit</font>
<li>
<font color="#000000">Make sure a search user can log in without being
prompted for a password</font></li>

<br><font color="#000000">rsh -l searchX nodeY( where X is in [01;32] range
and Y is in [0;16] range</font>
<br><font color="#000000">exit</font></ul>

<li>
<font color="#000000">Make sure that the .cshrc file for search01 is correct</font></li>

<ol>
<li>
<font color="#000000">rsh nodeX ( where X is in [0;16] range)</font></li>

<li>
<font color="#000000">cd /home/search01</font></li>

<li>
<font color="#000000">Verify that .cshrc contains</font></li>

<br><font color="#000000">#! /usr/bin/csh</font>
<br><font color="#000000">umask 002</font>
<br><font color="#000000">tty >&amp; /dev/null</font>
<br><font color="#000000">if ( $status == 0 ) then</font>
<br><font color="#000000">&nbsp; stty erase</font>
<br><font color="#000000">endif</font>
<br><font color="#000000">setenv PAGER less</font>
<br><font color="#000000">limit descriptors 1024</font>
<br><font color="#000000">setenv LAMHOME /ldcg</font></ol>

<li>
<font color="#000000">Make sure that all .cshrc files are the same. Since
all searchX users home directories are local to each node, need to log
in on each node[0;16] as ldas user and compare all /home/searchX/.cshrc
files:</font></li>
</ul>

<blockquote>
<ol>
<li>
<font color="#000000">rsh nodeX ( where X is in [0;16] range)</font></li>

<li>
<font color="#000000">cd /home</font></li>

<li>
<font color="#000000">diff search01/.cshrc searchX/.cshrc ( where X is
in [02;32] range ).</font></li>
</ol>

<li>
<font color="#000000">These checks can be automated with the following
script being run from beowulf as user 'ldas'. </font><font color="#FF0000">This
is work in Progress - Do not use until this message has been removed.</font></li>

<br><font color="#000000">#!/bin/sh</font>
<br><font color="#000000">#------------------------------------------------------------------------</font>
<br><font color="#000000"># Global Variables</font>
<br><font color="#000000">#------------------------------------------------------------------------</font><font color="#000000"></font>
<p><font color="#000000">MaxSearchUser=32</font>
<br><font color="#000000">MaxSearchUserPlaces=2</font>
<br><font color="#000000">MaxNode=16</font><font color="#000000"></font>
<p><font color="#000000">#------------------------------------------------------------------------</font>
<br><font color="#000000"># Subroutines</font>
<br><font color="#000000">#------------------------------------------------------------------------</font><font color="#000000"></font>
<p><font color="#000000">num()</font>
<br><font color="#000000">{</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; case "$1" in</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; 3)&nbsp; if test $2 -lt 10;
then r="00$2";</font>
<br><font color="#000000">&nbsp;elif test $2 -lt 100; then r="0$2";</font>
<br><font color="#000000">&nbsp;else r="$2";</font>
<br><font color="#000000">&nbsp;fi</font>
<br><font color="#000000">&nbsp;;;</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; 2)&nbsp; if test $2 -lt 10;
then r="0$2";</font>
<br><font color="#000000">&nbsp;else r="$2";</font>
<br><font color="#000000">&nbsp;fi</font>
<br><font color="#000000">&nbsp;;;</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; esac</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; echo $r;</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; return 0;</font>
<br><font color="#000000">}</font><font color="#000000"></font>
<p><font color="#000000">#------------------------------------------------------------------------</font>
<br><font color="#000000"># Verify that an ssh1 connection can be established
for each search user</font>
<br><font color="#000000">#&nbsp; on the beowulf node.</font>
<br><font color="#000000">#------------------------------------------------------------------------</font>
<br><font color="#000000"># :TODO: This has been suspended after conversation
with Stuart indicated</font>
<br><font color="#000000"># :TODO:&nbsp;&nbsp;&nbsp; ssh1 does prompt for
password.</font>
<br><font color="#000000"># range=1;</font>
<br><font color="#000000"># while ( test $range -lt $MaxSearchUser )</font>
<br><font color="#000000"># do</font>
<br><font color="#000000">#&nbsp;&nbsp;&nbsp; num $MaxSearchUserPlaces
$range</font>
<br><font color="#000000">#&nbsp;&nbsp;&nbsp; echo Checking ssh1 connection
for search$r</font>
<br><font color="#000000">#&nbsp;&nbsp;&nbsp; ssh1 search$1@beowulf true
&lt; /dev/null</font>
<br><font color="#000000">#&nbsp;&nbsp;&nbsp; range=`expr $range + 1`;</font>
<br><font color="#000000"># done</font><font color="#000000"></font>
<p><font color="#000000">#------------------------------------------------------------------------</font>
<br><font color="#000000"># Verify that an rsh connection can be established
for each search user</font>
<br><font color="#000000">#&nbsp; onto each of the nodes</font>
<br><font color="#000000">#------------------------------------------------------------------------</font>
<br><font color="#000000">cat > /tmp/search_cshrc_standard &lt;&lt;EOF</font>
<br><font color="#000000">#! /usr/bin/csh</font>
<br><font color="#000000">umask 002</font>
<br><font color="#000000">tty >&amp; /dev/null</font>
<br><font color="#000000">if ( $status == 0 ) then</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; stty erase</font>
<br><font color="#000000">endif</font>
<br><font color="#000000">setenv PAGER less</font>
<br><font color="#000000">limit descriptors 1024</font>
<br><font color="#000000">setenv LAMHOME /ldcg</font>
<br><font color="#000000">EOF</font><font color="#000000"></font>
<p><font color="#000000">user_range=1;</font>
<br><font color="#000000">while ( test $user_range -le $MaxSearchUser )</font>
<br><font color="#000000">do</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; user="`num $MaxSearchUserPlaces
$user_range`"</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; node_range=0;</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; while ( test $node_range -le
$MaxNode )</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; do</font>
<br><font color="#000000">&nbsp;echo Checking rsh connection for search$user
on Node$node_range</font>
<br><font color="#000000">&nbsp;rsh -l search$user Node$node_range cat
/home/search${user}/.cshrc &lt; /dev/null > /tmp/search_cshrc</font>
<br><font color="#000000">&nbsp;node_range=`expr $node_range + 1`;</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; done</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp; user_range=`expr $user_range
+ 1`;</font>
<br><font color="#000000">done</font>
<br><font color="#000000">rm -f /tmp/search_cshrc</font>
<br><font color="#000000">rm -f /tmp/search_cshrc_standard</font></blockquote>

</body>
</html>
